sqlite_has_prev
sqlite_last_error
SQLite Functions
PHP Manual

# sqlite_key

# SQLiteResult::key

Returns the current row index

### Description

Object oriented style (method):

int SQLiteResult::key ( void )

SQLiteResult::key returns the current row index of the buffered result set `result`.

Unlike all other SQLite functions, this function does not have a procedural version, and can only be called as a method on a SQLiteResult object.

### Return Values

Returns the current row index of the buffered result set `result`.

### See Also

- sqlite_next
- sqlite_current
- sqlite_rewind